package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-14
 */
public class Library implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 术语id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 术语名称
     */
    private String name;

    /**
     * 同义词id
     */
    private Integer synony;

    public Integer getId() { return id; }

    public void setId(Integer id) { this.id = id; }
    public String getName() { return name; }

    public void setName(String name) { this.name = name; }
    public Integer getSynony() { return synony; }

    public void setSynony(Integer synony) { this.synony = synony; }

    @Override
    public String toString() {
        return "Library{" +
        "id=" + id +
        ", name=" + name +
        ", synony=" + synony +
        "}";
    }
}
